Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 14 Nov 2018, 07:28
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
I used to be able to print in Fatdog with cups
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [7 Posts]  
Author Message
PappyPuppy

Joined: 30 Sep 2016
Posts: 409

PostPosted: Sun 01 Apr 2018, 12:57    Post subject:  I used to be able to print in Fatdog with cups
Subject description: I just turned on a remote printer on wireless
 

The Fatdog PC picked up the printer no problem. But I cannot get any jobs to be anything other than withheld. I can't get the job queue to print the jobs.
I know it has something to do with permissions so I played some with chmod, etc.., but to no avail.

What I get is:

HP_OfficeJet_4650_series-50 Unknown Withheld 1k Unknown stopped

I've tried a number of things to resolve the error. I'm not sure how to proceed at this point. I rebooted once. It's frustrating when a PC running Fatdog knows there's a printer out there on wireless and connects to it but won't let any jobs go out.
Back to top
View user's profile Send private message 
PappyPuppy

Joined: 30 Sep 2016
Posts: 409

PostPosted: Sun 01 Apr 2018, 13:15    Post subject: Additional info
Subject description: Insecure permissions
 

The line on the place where I choose the printer to print to says:

/usr/lib64/cups/filter/hpcups has insecure permissions (01007 ...
Back to top
View user's profile Send private message 
PappyPuppy

Joined: 30 Sep 2016
Posts: 409

PostPosted: Sun 01 Apr 2018, 13:24    Post subject: Could I simply be missing the driver?
Subject description: I checked permissions on stuff - it's all root, root
 

So maybe I just need to find a driver? I don't know.
The driver is there under etc/cups/ppd so I chose it but still get same error.

lpoptions:

Sorry, ...

It looks like my hplip.conf is running off of the lib directory:
# hplip.conf. Generated from hplip.conf.in by configure.

[hplip]
version=3.16.11

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/HP
ppdbase=/usr/share/ppd
doc=/usr/share/doc/hplip-3.16.11
html=/usr/share/doc/hplip-3.16.11
icon=/usr/share/applications
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv/hp
bin=/usr/bin
apparmor=/etc/apparmor.d
# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=no
gui-build=no
scanner-build=yes
fax-build=no
dbus-build=no
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=no
foomatic-drv-install=no
foomatic-ppd-install=no
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.16.11
restricted-build=no
ui-toolkit=no
qt3=no
qt4=no
qt5=no
policy-kit=no
lite-build=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no
apparmor_build=no


In the above, it says cups-ppd-install=no
Back to top
View user's profile Send private message 
PappyPuppy

Joined: 30 Sep 2016
Posts: 409

PostPosted: Sun 01 Apr 2018, 13:54    Post subject: But this is printers.conf
Subject description: Notice the old HP OfficeJetv40
 

Notice the old printer does not have the AllowUser lines at all - I wonder if I could just delete those lines for the default printer (the one I'm having trouble with). I cannot use the old printer anymore as it spins like crazy - doesn't hold the document anymore - I cleaned it to no avail - springs? I dont' know.

# Printer configuration file for CUPS v1.7.3
# Written by cupsd on 2018-04-01 09:34
# DO NOT EDIT THIS FILE WHEN CUPSD IS RUNNING
<DefaultPrinter HP_OfficeJet_4650_series>
UUID urn:uuid:9c6b5bc6-f92f-3f24-74cc-f5a00cb312bb
Info HP OfficeJet 4650 series
Location DiningRoom
MakeModel HP Officejet 4650 Series, hpcups 3.16.11
DeviceURI dnssd://HP%20OfficeJet%204650%20series%20%5BF3E503%5D._ipp._tcp.local./
State Idle
StateTime 1522604079
Type 4124
Accepting Yes
Shared No
JobSheets none none
QuotaPeriod 0
PageLimit 0
KLimit 0
AllowUser root
AllowUser spot
OpPolicy default
ErrorPolicy stop-printer
Attribute marker-colors \#00FFFF#FF00FF#FFFF00,#000000
Attribute marker-levels 80,60
Attribute marker-low-levels 1,1
Attribute marker-high-levels 100,100
Attribute marker-names tri-color ink,black ink
Attribute marker-types ink-cartridge,ink-cartridge
Attribute marker-change-time 1522604059
</Printer>
<Printer HP_OfficeJet_V40>
UUID urn:uuid:ecb8937d-60c4-3f4d-4310-1891c5d838a7
Info HP OfficeJet V40
Location Local Printer
MakeModel HP OfficeJet V40 - CUPS+Gutenprint v5.2.10
DeviceURI usb://HP/OfficeJet%20V40?serial=MY16RB40TPWN
State Stopped
StateMessage Unable to send data to printer.
StateTime 1509221988
Reason paused
Type 36892
Accepting Yes
Shared No
JobSheets none none
QuotaPeriod 0
PageLimit 0
KLimit 0
OpPolicy default
ErrorPolicy stop-printer
</Printer>

I will experiment with some of the above - maybe changing policies short of permissive - but something helpful might help. I hate this - something is rotten about these installations.
Back to top
View user's profile Send private message 
PappyPuppy

Joined: 30 Sep 2016
Posts: 409

PostPosted: Sun 01 Apr 2018, 13:57    Post subject: It seems like the HP printer setup in CUPS
Subject description: is now more complex than it once was a year ago
 

I only setup the old one about a year or so ago.
Back to top
View user's profile Send private message 
PappyPuppy

Joined: 30 Sep 2016
Posts: 409

PostPosted: Sun 01 Apr 2018, 14:07    Post subject: Now I'm trying FatdogInstaller
Subject description: I'm trying the 64-bit .pet
 

Should I use the 32-bit one?

I cannot get the 64-bit one to run - it says cannot access the file so I changed the permission to owner and group for root, and not spot. I don't know whether I should use 32 or 64 so I'll try the 32-bit since that seems to be the cups that runs.

It just says not a valid pet file on the 32-bit.
I chose the original one and it DID finally run but I did this before.
Back to top
View user's profile Send private message 
PappyPuppy

Joined: 30 Sep 2016
Posts: 409

PostPosted: Sun 01 Apr 2018, 14:20    Post subject: I ran the 64-bit installer from the System menu
Subject description: as I did about a year ago
 

Whatever or however, it ran this time - 1 record, etc.. Then I hit Enter and printed and it successfully made a connection and printed. Only problem is I can't use black ink right now - I need to solve that problem, no big deal.

So I had needed to use the 64-bit installer on the old .pet that I had download in March of last year. It worked. Not sure why the other identical pets didn't work. I varied two things to get it to work so I won't know unless I experiment more. But at least I can now connect via wireless to a remote printer and I know which method worked: the 64-bit installer discussed last year in one of my threads that was responded to did. I know I put something up on SourceForge but it was probably not needed, sorry.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [7 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1422s ][ Queries: 11 (0.0243s) ][ GZIP on ]